Bug 813156 - Unison GUI won't prompt for ssh password.
Unison GUI won't prompt for ssh password.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: unison227 (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 02:02 EDT by Robin Laing
Modified: 2012-06-22 04:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 04:27:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Laing 2012-04-17 02:02:51 EDT
Description of problem:
Unison won't prompt for ssh password

Version-Release number of selected component (if applicable):
unison227-2.27.57-13.fc12.*

How reproducible:
All the time

Steps to Reproduce:
1. Open the Unison GUI.
2. Set a profile or select an already created profile.
3. Try to connect to a remote server using ssh.
  
Actual results:
A "contacting server" dialog opens and remains on the screen indefinitely with no progress further into the application's workflow.  

Expected results:
Password dialog opens to enter ssh password.

Additional info:
This bug has been reported on SUSE and Ubuntu.  There is an updated version that fixes this problem.  Latest stable version is unison-2.40.63 from http://www.cis.upenn.edu/~bcpierce/unison/ which is from 2010.

There are work arounds but a few are not secure.

Please update as this is a good tool to work across platforms and USB sticks.
Comment 1 Fedora Update System 2012-06-07 02:56:49 EDT
unison227-2.27.57-17.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/unison227-2.27.57-17.fc17
Comment 2 Fedora Update System 2012-06-07 02:57:01 EDT
unison227-2.27.57-16.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/unison227-2.27.57-16.fc15
Comment 3 Fedora Update System 2012-06-07 02:57:16 EDT
unison227-2.27.57-16.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/unison227-2.27.57-16.fc16
Comment 4 Fedora Update System 2012-06-07 18:51:05 EDT
Package unison227-2.27.57-17.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unison227-2.27.57-17.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8990/unison227-2.27.57-17.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-22 04:27:16 EDT
unison227-2.27.57-16.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-06-22 04:27:53 EDT
unison227-2.27.57-17.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-06-22 04:34:54 EDT
unison227-2.27.57-16.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.